/**
 * author: dabao
 */
var VUE = null
window.addEventListener("load", function() {
	VUE = new Vue({
		el: '#app',
		data() {
			return {
				value: '',
				list: [],
				loading: false,
				finished: false,
				page: 0,
				size: 20,
				total: 0
			}
		},
		mounted() {
			this.getList()
		},
		methods: {
			nav(item){
				// location.href='./yh-list.html'
			},
			add(){
				location.href='./yh-list-detail.html?companyId='+getParameter('companyId')
			},
			detail(item){
				location.href='./yh-list-detail.html?companyId='+getParameter('companyId')+'&hdId='+item.hdId
			},
			edit(item){
				location.href='./yh-list-detail.html?companyId='+getParameter('companyId')+'&hdId='+item.hdId+'&type=edit'
			},
			getList(){
				http.get('/api/thHiddenDanger',{
					page: this.page++,// 每次请求增加下一页
					size: this.size,
					companyId: getParameter('companyId'),
					county: localStorage.getItem('appCounty'),
					sort: 'hdId,desc',
				}).then((res)=>{
					
					this.loading = false; // 加载状态结束
					
					console.log('响应结果', res.content)
					this.list.push(...res.content);
					this.total = res.totalElements
					console.log('响应结果list', this.list)
					
					console.log('响应结果totalElements', res.totalElements)
					if(this.page*this.size >= this.total){
						 this.finished = true; // 下滑不在刷新数据
					}
				})
				
			}
		},
	});
});